/*
 Copyright 2011-2018 Fulco Scherjon

This file is part of the HomininSpace modelling and simulation system.

HomininSpace is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, any version 3.
HomininSpace is distributed WITHOUT ANY WARRANTY under the GNU General Public License.
HomininSpace comes with a copy of this GNU General Public License.  If not, see <http://www.gnu.org/licenses/>.

*/


package HomininSpace.observer;
import HomininSpace.HomininSpaceContextBuilder;
import HomininSpace.agents.HomininGroup;

import java.awt.Color;

import repast.simphony.visualizationOGL2D.DefaultStyleOGL2D;


public class HomininStyleOGL2D extends DefaultStyleOGL2D {

    @Override
    public Color getColor(final Object agent) 
    {
    	// color of the hominin agents
        if (agent instanceof HomininGroup) 
        {
        	final HomininGroup hominin = (HomininGroup) agent;
			int type = hominin.getHomininType();

			/*
			 *   paars = (194, 23, 219)
			 *   rood  = (255, 0, 0)
			 *   groen = (0, 255, 0)
			 *   oranje = (238, 145, 17)
			 *   wit   =  (255, 255, 255)
			 *   zwart =  (0, 0, 0)
			 *   
			 */
			//int red, green, blue;

        	if (!hominin.isAlive())
            {
        		return Color.BLACK;
            }
        	else if (hominin.isHungry())
        	{
        		return Color.GRAY;
        	}
        	else if (type == 0)
        	{
        		return Color.GREEN;
        	}
        	else if (type == 1)
        	{
        		return Color.RED;
        	}
        	else if (type == 2)
        	{
           		return Color.WHITE;  // WHITE
       		}
       		else
       		{
       			return Color.PINK;
       		}
        }
            
        return super.getColor(agent);
    }
    
    
    @Override
    public float getScale(Object o) 
    {
    	if (o instanceof HomininGroup)
                    return 1f;
           
            return 1f;
    }
   
   
   
    @Override
    public int getBorderSize(Object object)
    {
            if (object instanceof HomininGroup)
            {
                    {
                            return 7;
                    }
            }
            return 0;
    }
    @Override
    public Color getBorderColor(Object object)
    {
    	return getColor(object);
    }
     
     
}

